GET
List Products
Gets a list of all available products.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
An array of products
Response Body
object
-
dataarray of objects requireddata object
-
idstring uuid requiredID of the product -
namestring requiredProduct name -
baseCurrencyIdstring uuid requiredID of the base currency -
baseCurrencystring requiredBase currency (the first asset in the trade pair) name -
quoteCurrencyIdstring uuid requiredID of the quote currency -
quoteCurrencystring requiredQuote currency (the second asset in the trade pair) name -
baseMinSizestring decimal requiredMinimum order size in base currency -
baseMaxSizestring decimal requiredMaximum order size in base currency -
baseIncrementstring decimal requiredMaximum precision allowed when entering order quantities in base currency -
quoteMinSizestring decimal requiredMinimum order size in quote currency -
quoteMaxSizestring decimal requiredMaximum order size in quote currency -
quoteIncrementstring decimal requiredMaximum precision allowed when entering order quantities in the quote currency -
quoteDisplayPrecisioninteger requiredMaximum number of decimal places used when displaying quote currency amounts and limit prices -
isTradeDisabledboolean requiredTrue, if trading is disabled for the product -
isMarginTradeSupportedboolean requiredTrue, if margin trading is supported for the product
-
default
unexpected error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-